--- src/amule.cpp.orig	Fri May 21 11:47:22 2004
+++ src/amule.cpp	Fri May 21 11:53:32 2004
@@ -23,22 +23,22 @@
 	#include <winsock.h>
 	#include <wx/msw/winundef.h>
 #else
-#ifdef __OPENBSD__
+#if defined(__OPENBSD__) || defined(__FREEBSD__)
        #include <sys/types.h>
-#endif /* __OPENBSD__ */
+#endif /* __OPENBSD__ || __FREEBSD__ */
 	#include <sys/socket.h>
 	#include <netinet/in.h>
 	#include <arpa/inet.h>
 #endif
 #ifdef __WXGTK__
-#ifdef __OPENBSD__
+#if defined(__OPENBSD__) || defined(__FREEBSD__)
        #include <sys/param.h>
        #include <sys/mount.h>
-#endif /* __OPENBSD__ */
-#ifndef __OPENBSD__
+#endif /* __OPENBSD__ || __FREEBSD__ */
+#if !defined(__OPENBSD__) && !defined(__FREEBSD__)
 	#include <execinfo.h>
 	#include <mntent.h>
-#endif 
+#endif /* !__OPENBSD__ && !__FREEBSD__ */
 	#include <X11/Xlib.h>		// Needed for XParseGeometry
 	#include <gdk/gdk.h>
 	#include <gtk/gtk.h>
@@ -419,7 +419,7 @@
 	   that is the case, we need to avoid chmoding to avoid lots of warnings.
 	   This is done by reading through fstab entries and comparing to the 
 	   folders used for incomming and temp files. */
-#ifndef __OPENBSD__	
+#if !defined(__OPENBSD__) && !defined(__FREEBSD__)
 	FILE* mnt_tab = setmntent("/etc/mtab","r");
 	if ( mnt_tab ) {
 		wxString incomingdir = glob_prefs->GetIncomingDir();
@@ -472,7 +472,7 @@
 		}
 	}
 
-#endif // __OPENBSD__
+#endif // !__OPENBSD__ && !__FREEBSD__
 #endif
 
 
@@ -974,7 +974,7 @@
 
 	// (stkn) create backtrace
 #ifdef __WXGTK__
-#ifndef __OPENBSD__
+#if !defined(__OPENBSD__) && !defined(__FREEBSD__)
 	void *bt_array[100];	// 100 should be enough ?!?
 	char **bt_strings;
 	int num_entries;
@@ -994,10 +994,10 @@
 		fprintf(stderr, "[%d] %s\n", i, bt_strings[i]);
 	}
 	free(bt_strings);
-#endif
-#ifdef __OPENBSD__
+#endif // !__OPENBSD__ && !__FREEBSD__
+#if defined(__OPENBSD__) || defined(__FREEBSD__)
 	fprintf(stderr, "\nOOPS! - Seems like aMule crashed\n--== no BACKTRACE yet \n\n");
-#endif
+#endif // __OPENBSD__ || __FREEBSD__
 #endif
 #endif
 }
